Bug 49697

Summary: Ошибка при поиске драйвера. Не работает с python 3.12 (RuntimeError: PyUnicode_GetSize has been removed)
Product: Sisyphus Reporter: german <germanmedvedev>
Component: system-config-printerAssignee: Anton V. Boyarshinov <boyarsh>
Status: NEW --- QA Contact: qa-sisyphus
Severity: normal    
Priority: P5 CC: antohami, arseny, boyarsh, cas, manowar, slev, tatyana, zerg
Version: unstable   
Hardware: x86_64   
OS: Linux   

Description german 2024-03-14 15:18:28 MSK
Доброго времени суток.

ОС: ALT K Workstation x86_64 обновленная до Regular Sisyphus
Ядро: 6.1.81-std-def-alt1
DE: KDE 5.27.11 Wayland
GPU: AMD Radeon RX 5500 XT
CPU: AMD Ryzen 5 3600 6-Core Processor
Версия ПО: 1.5.18-altsisyphus

Оборудование: 

При попытке добавления сетевого принтера Epson L355 любым способом происходит поиск драйвера и на этом программа зависает. В консоли появляется ошибка:

RuntimeError: PyUnicode_GetSize has been removed.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/asyncipp.py", line 198, in send_reply
    handler (self._conn, result)
  File "/usr/share/system-config-printer/asyncpk1.py", line 167, in _ipp_reply_handler
    self._client_reply_handler (self._conn, *args)
  File "/usr/share/system-config-printer/asyncconn.py", line 89, in reply_handler
    self._reply_handler (self, self._reply_data, *args)
  File "/usr/share/system-config-printer/asyncconn.py", line 207, in _subst_reply_handler
    reply_handler (self, *args)
  File "/usr/share/system-config-printer/ppdsloader.py", line 169, in _cups_reply
    getPPDNamesFromDeviceID (self._devid_dict["MFG"],
  File "/usr/lib/python3/site-packages/cupshelpers/ppds.py", line 655, in getPPDNamesFromDeviceID
    (s, ppds) = self._findBestMatchPPDs (mdls, mdl)
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/site-packages/cupshelpers/ppds.py", line 892, in _findBestMatchPPDs
    mdlnamesl.sort (key=functools.cmp_to_key(lambda x, y: cups.modelSort(x[1], y[1])))
  File "/usr/lib/python3/site-packages/cupshelpers/ppds.py", line 892, in <lambda>
    mdlnamesl.sort (key=functools.cmp_to_key(lambda x, y: cups.modelSort(x[1], y[1])))
                                                          ^^^^^^^^^^^^^^^^^^^^^^^^^^
SystemError: <built-in function modelSort> returned a result with an exception set
Comment 1 Sergey V Turchin 2024-06-25 14:10:45 MSK
*** Bug 44779 has been marked as a duplicate of this bug. ***